Back to Platform

POST /custom/forms

POST
/custom/forms

POST operation for /custom/forms

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dev-rest.onboard.io/custom/forms" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "api_name": "string",    "object": "customer",    "is_active": true,    "form_fields": "string",    "allow_resubmissions": true,    "submission_required": true,    "complete_task_automatically": true,    "is_sample": true  }'
{
  "id": 1,
  "name": "string",
  "description": "string",
  "api_name": "string",
  "object": "customer",
  "is_active": true,
  "created_at": "2021-01-01T00:00:00Z",
  "form_fields": "string",
  "onboarder_company_id": "string",
  "allow_resubmissions": true,
  "submission_required": true,
  "complete_task_automatically": true,
  "is_sample": true
}
Empty
Empty
Empty

How is this guide?